
CN REST - Story #7202

Verify proxy implementation for all V2 methods

2015-06-16 13:06 - Dave Vieglais

Status: Closed Start date: 2015-06-16

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Subtasks:

Task # 7203: Review proxy implementation Closed

Task # 7235: CNRead.synchronize() Rejected

History

#1 - 2015-06-16 13:06 - Dave Vieglais

- Assignee set to Ben Leinfelder

#2 - 2015-06-16 15:03 - Dave Vieglais

- Related to Story #6756: Refactor cn_rest_service added

#3 - 2015-06-29 22:14 - Ben Leinfelder

- Related to deleted (Story #6756: Refactor cn_rest_service)

#4 - 2015-06-29 22:26 - Ben Leinfelder

New 2.0 methods that are proxied:

CNCore.updateSystemMetadata() - proxied to Metacat; implemented

CNView.view() - proxied to Metacat; implemented

CNView.listViews() - proxied to Metacat; implemented

That are handled directly by CN rest webapp (here for informative purposes only):

CNRead.synchronize() - implemented

CNDiagnostic.echoCredentials() - implemented

CNDiagnostic.echoSystemMetadata() - implemented

CNDiagnostic.echoIndexedObject() - TODO

#5 - 2015-06-29 22:26 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

#6 - 2015-07-01 16:22 - Dave Vieglais

- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

Powered by TCPDF (www.tcpdf.org)

2024-04-23 1/1

http://www.tcpdf.org

